Kerbal Space Program - Bug #2087

if a kerbal is hit by another kerbal while in a seat the game thinks the kerbal is on EVA.
02/17/2014 03:29 PM - AidanBionicle1

Status: Closed Start date: 02/17/2014
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

so if you set a kerbal in an external command seat and if you hit the kerbal with a kerbal that is on EVA while using the EVA pack the
kerbal hit will become limp but they will quickly regain Their bearings but if you right click on them the GUI will come up as if said
kerbal was on EVA and you cant get them out because the game thinks the kerbal is both on EVA and Controlling the craft (you can
also make them use their EVA pack but they wont go anywhere.)

History

#1 - 02/17/2014 06:42 PM - TruePikachu

Critical? Nope, | think Normal at the most.

Kerbals in external seats are, for all intents and purposes, on EVA. The difference between a Kerbal in a cockpit and one on EVA (or in the external
seat) is that their model/actor isn't loaded in the former case.

Other differences include the inability to directly launch a Kerbal from an EAS-1, the EVA fuel not getting refilled, and the lack of SAS functionality,
though the latter might not count.

When the Kerbal "leaves" the seat, is it being considered a seperate vessel at the time? If yes, try saving and reloading. If not, try ejecting them via
the seat.

#2 - 02/17/2014 07:05 PM - AidanBionicle1
Well if | CANT get a kerbal out of the seat and the game thinks their on EVA what am | to do?

#3 - 02/18/2014 09:01 PM - hermes47

- Severity changed from Critical to Low

#4 - 02/18/2014 10:35 PM - AidanBionicle1
Ugh no one FREAKING CARES about this at all [censured]

#5 - 02/18/2014 10:56 PM - hermes47

No need to get angry. The reason | changed the priority is because though this is an annoyance for you, it is not a critical bug. A critical bug is
something that renders large portions of the game unplayable under any circumstances. For example, if the VAB and SPH weren't spawned. This is
classed as a low priority as it can be easily avoided.

Also, please watch your language.

#6 - 02/18/2014 11:49 PM - AidanBionicle1

Ok fine when you put it that way it seems to make more seance and sorry fir getting so fricken pissed but this bug should still be fixed nevertheless

#7 - 04/06/2014 01:10 PM - jackatack

Just experienced this bug. Thought | should comment; The description of the bug as provided by AidanBionicle isn't complete/completely accurate.
This
http://forum.kerbalspaceprogram.com/threads/75453-Kerbals-taken-as-debris-can-t-control?p=1070438

is a more accurate description of the bug. Pretty serious bug for external cmd seats.

Edit: after some more testing, I've experienced the bug in a way more similar to the description by AidanBionicle. Seems simply to depend on whether
the force of the impact on the Kerbal in the cmd seat is sufficient to detach him from the seat. In that case, the Kerbal becomes 'debris’ as described
in the link. However, if the impact is insufficient to detach him from the seat, the problem is as AidanBionicle describes. He acts as if on an eva, and

does not control the craft. However he is still stuck in the chair, and there is no option to board the chair.

#8 - 10/15/2014 10:50 AM - Lagger_mw

this bug hit 8 monhts! fix it already, there is my video proof of bug

http://youtu.be/4JRu-EhMWrI

http://youtu.be/bM53sj4rcsE

#9 - 12/07/2015 11:08 PM - sir_frost

this bug still exists and needs fixing. i dont like leaving kerbals

#10 - 12/08/2015 12:58 AM - Squelch

- Status changed from New to Need More Info

Please could a mod free savegame be attached that shows this problem?

#11 - 12/10/2015 07:56 PM - sir_frost
- File backupp bugfix.sfs added

in this savefile bill kerman is stuck in his chair on the craft: jool expedition 1
he cannot get out since the GUI does not show "leave seat"
he is still attatched to craft since his EVApropelant activates with the crafts RCS.

#12 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#13 - 11/11/2016 04:02 PM - sal_vager

- File screenshot63.png added

- File screenshot64.png added

- File screenshot65.png added

- Status changed from Needs Clarification to Ready to Test

- % Done changed from 0 to 80

This appears to be fixed, most likely with the change to Kerbal ragdoll behaviour.

#14 - 12/03/2016 08:02 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Files

backupp bugfix.sfs 3.96 MB 12/10/2015 sir_frost
screenshot63.png 1.31 MB 11/11/2016 sal_vager
screenshot64.png 1.28 MB 11/11/2016 sal_vager
screenshot65.png 761 KB 11/11/2016 sal_vager
